Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASD4

    java.lang.Object
      org.netlib.lapack.SLASD4

    public class SLASD4

extends java.lang.Object

    SLASD4 is a simplified interface to the JLAPACK routine slasd4.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This subroutine computes the square root of the I-th updated
     *  eigenvalue of a positive symmetric rank-one modification to
     *  a positive diagonal matrix whose entries are given as the squares
     *  of the corresponding entries in the array d, and that
     *
     *         0 <= D(i) < D(j)  for  i < j
     *
     *  and that RHO > 0. This is arranged by the calling routine, and is
     *  no loss in generality.  The rank-one modified system is thus
     *
     *         diag( D ) * diag( D ) +  RHO *  Z * Z_transpose.
     *
     *  where we assume the Euclidean norm of Z is 1.
     *
     *  The method consists of approximating the rational functions in the
     *  secular equation by simpler interpolating rational functions.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The length of all arrays.
     *
     *  I      (input) INTEGER
     *         The index of the eigenvalue to be computed.  1 <= I <= N.
     *
     *  D      (input) REAL array, dimension ( N )
     *         The original eigenvalues.  It is assumed that they are in
     *         order, 0 <= D(I) < D(J)  for I < J.
     *
     *  Z      (input) REAL array, dimension (N)
     *         The components of the updating vector.
     *
     *  DELTA  (output) REAL array, dimension (N)
     *         If N .ne. 1, DELTA contains (D(j) - sigma_I) in its  j-th
     *         component.  If N = 1, then DELTA(1) = 1.  The vector DELTA
     *         contains the information necessary to construct the
     *         (singular) eigenvectors.
     *
     *  RHO    (input) REAL
     *         The scalar in the symmetric updating formula.
     *
     *  SIGMA  (output) REAL
     *         The computed sigma_I, the I-th updated eigenvalue.
     *
     *  WORK   (workspace) REAL array, dimension (N)
     *         If N .ne. 1, WORK contains (D(j) + sigma_I) in its  j-th
     *         component.  If N = 1, then WORK( 1 ) = 1.
     *
     *  INFO   (output) INTEGER
     *         = 0:  successful exit
     *         > 0:  if INFO = 1, the updating process failed.
     *
     *  Internal Parameters
     *  ===================
     *
     *  Logical variable ORGATI (origin-at-i?) is used for distinguishing
     *  whether D(i) or D(i+1) is treated as the origin.
     *
     *            ORGATI = .true.    origin at i
     *            ORGATI = .false.   origin at i+1
     *
     *  Logical variable SWTCH3 (switch-for-3-poles?) is for noting
     *  if we are working with THREE poles!
     *
     *  MAXIT is the maximum number of iterations allowed for each
     *  eigenvalue.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ren-Cang Li, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASD4()`

Method Summary
`static void` | `SLASD4(int n, int i, float[] d, float[] z, float[] delta, float rho, floatW sigma, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASD4

    public SLASD4()

Method Detail

### SLASD4

    public static void SLASD4(int n,
                              int i,
                              float[] d,
                              float[] z,
                              float[] delta,
                              float rho,
                              floatW sigma,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD